<?php
$tdatapro_ganador = array();
$tdatapro_ganador[".searchableFields"] = array();
$tdatapro_ganador[".ShortName"] = "pro_ganador";
$tdatapro_ganador[".OwnerID"] = "";
$tdatapro_ganador[".OriginalTable"] = "pro_ganador";


$tdatapro_ganador[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdatapro_ganador[".originalPagesByType"] = $tdatapro_ganador[".pagesByType"];
$tdatapro_ganador[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdatapro_ganador[".originalPages"] = $tdatapro_ganador[".pages"];
$tdatapro_ganador[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdatapro_ganador[".originalDefaultPages"] = $tdatapro_ganador[".defaultPages"];

//	field labels
$fieldLabelspro_ganador = array();
$fieldToolTipspro_ganador = array();
$pageTitlespro_ganador = array();
$placeHolderspro_ganador = array();

if(mlang_getcurrentlang()=="Spanish")
{
	$fieldLabelspro_ganador["Spanish"] = array();
	$fieldToolTipspro_ganador["Spanish"] = array();
	$placeHolderspro_ganador["Spanish"] = array();
	$pageTitlespro_ganador["Spanish"] = array();
	$fieldLabelspro_ganador["Spanish"]["fecha"] = "Fecha";
	$fieldToolTipspro_ganador["Spanish"]["fecha"] = "";
	$placeHolderspro_ganador["Spanish"]["fecha"] = "";
	$fieldLabelspro_ganador["Spanish"]["foto"] = "Foto";
	$fieldToolTipspro_ganador["Spanish"]["foto"] = "";
	$placeHolderspro_ganador["Spanish"]["foto"] = "";
	$fieldLabelspro_ganador["Spanish"]["id_ganador"] = "Id Ganador";
	$fieldToolTipspro_ganador["Spanish"]["id_ganador"] = "";
	$placeHolderspro_ganador["Spanish"]["id_ganador"] = "";
	$fieldLabelspro_ganador["Spanish"]["premio"] = "Premio";
	$fieldToolTipspro_ganador["Spanish"]["premio"] = "";
	$placeHolderspro_ganador["Spanish"]["premio"] = "";
	$fieldLabelspro_ganador["Spanish"]["id_promocion"] = "Promocion";
	$fieldToolTipspro_ganador["Spanish"]["id_promocion"] = "";
	$placeHolderspro_ganador["Spanish"]["id_promocion"] = "";
	$fieldLabelspro_ganador["Spanish"]["monto_acumulado"] = "Monto Acumulado";
	$fieldToolTipspro_ganador["Spanish"]["monto_acumulado"] = "";
	$placeHolderspro_ganador["Spanish"]["monto_acumulado"] = "";
	$fieldLabelspro_ganador["Spanish"]["placa_g"] = "Placa G";
	$fieldToolTipspro_ganador["Spanish"]["placa_g"] = "";
	$placeHolderspro_ganador["Spanish"]["placa_g"] = "";
	$fieldLabelspro_ganador["Spanish"]["tipo_vehiculo"] = "Tipo Vehiculo";
	$fieldToolTipspro_ganador["Spanish"]["tipo_vehiculo"] = "";
	$placeHolderspro_ganador["Spanish"]["tipo_vehiculo"] = "";
	$fieldLabelspro_ganador["Spanish"]["placa"] = "Placa";
	$fieldToolTipspro_ganador["Spanish"]["placa"] = "";
	$placeHolderspro_ganador["Spanish"]["placa"] = "";
	$fieldLabelspro_ganador["Spanish"]["id"] = "Id";
	$fieldToolTipspro_ganador["Spanish"]["id"] = "";
	$placeHolderspro_ganador["Spanish"]["id"] = "";
	$fieldLabelspro_ganador["Spanish"]["monto_premio"] = "Monto Premio";
	$fieldToolTipspro_ganador["Spanish"]["monto_premio"] = "";
	$placeHolderspro_ganador["Spanish"]["monto_premio"] = "";
	$fieldLabelspro_ganador["Spanish"]["monto_saldo"] = "Monto Saldo";
	$fieldToolTipspro_ganador["Spanish"]["monto_saldo"] = "";
	$placeHolderspro_ganador["Spanish"]["monto_saldo"] = "";
	$fieldLabelspro_ganador["Spanish"]["Participante"] = "Participante";
	$fieldToolTipspro_ganador["Spanish"]["Participante"] = "";
	$placeHolderspro_ganador["Spanish"]["Participante"] = "";
	$fieldLabelspro_ganador["Spanish"]["telefono"] = "Telefono";
	$fieldToolTipspro_ganador["Spanish"]["telefono"] = "";
	$placeHolderspro_ganador["Spanish"]["telefono"] = "";
	$fieldLabelspro_ganador["Spanish"]["procedencia"] = "Procedencia";
	$fieldToolTipspro_ganador["Spanish"]["procedencia"] = "";
	$placeHolderspro_ganador["Spanish"]["procedencia"] = "";
	$fieldLabelspro_ganador["Spanish"]["ci"] = "Ci";
	$fieldToolTipspro_ganador["Spanish"]["ci"] = "";
	$placeHolderspro_ganador["Spanish"]["ci"] = "";
	$fieldLabelspro_ganador["Spanish"]["apellido_materno"] = "Apellido Materno";
	$fieldToolTipspro_ganador["Spanish"]["apellido_materno"] = "";
	$placeHolderspro_ganador["Spanish"]["apellido_materno"] = "";
	$fieldLabelspro_ganador["Spanish"]["apellido_paterno"] = "Apellido Paterno";
	$fieldToolTipspro_ganador["Spanish"]["apellido_paterno"] = "";
	$placeHolderspro_ganador["Spanish"]["apellido_paterno"] = "";
	$fieldLabelspro_ganador["Spanish"]["nombres"] = "Nombres";
	$fieldToolTipspro_ganador["Spanish"]["nombres"] = "";
	$placeHolderspro_ganador["Spanish"]["nombres"] = "";
	$fieldLabelspro_ganador["Spanish"]["complemento"] = "Complemento";
	$fieldToolTipspro_ganador["Spanish"]["complemento"] = "";
	$placeHolderspro_ganador["Spanish"]["complemento"] = "";
	$fieldLabelspro_ganador["Spanish"]["id_premio"] = "Id Premio";
	$fieldToolTipspro_ganador["Spanish"]["id_premio"] = "";
	$placeHolderspro_ganador["Spanish"]["id_premio"] = "";
	$fieldLabelspro_ganador["Spanish"]["saldo"] = "Saldo";
	$fieldToolTipspro_ganador["Spanish"]["saldo"] = "";
	$placeHolderspro_ganador["Spanish"]["saldo"] = "";
	$pageTitlespro_ganador["Spanish"]["list"] = "Ganadores";
	if (count($fieldToolTipspro_ganador["Spanish"]))
		$tdatapro_ganador[".isUseToolTips"] = true;
}


	$tdatapro_ganador[".NCSearch"] = true;



$tdatapro_ganador[".shortTableName"] = "pro_ganador";
$tdatapro_ganador[".nSecOptions"] = 0;

$tdatapro_ganador[".mainTableOwnerID"] = "";
$tdatapro_ganador[".entityType"] = 0;
$tdatapro_ganador[".connId"] = "bsn_dividendos_at_localhost";


$tdatapro_ganador[".strOriginalTableName"] = "pro_ganador";

	



$tdatapro_ganador[".showAddInPopup"] = false;

$tdatapro_ganador[".showEditInPopup"] = false;

$tdatapro_ganador[".showViewInPopup"] = false;

$tdatapro_ganador[".listAjax"] = false;
//	temporary
//$tdatapro_ganador[".listAjax"] = false;

	$tdatapro_ganador[".audit"] = true;

	$tdatapro_ganador[".locking"] = true;


$pages = $tdatapro_ganador[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatapro_ganador[".edit"] = true;
	$tdatapro_ganador[".afterEditAction"] = 1;
	$tdatapro_ganador[".closePopupAfterEdit"] = 1;
	$tdatapro_ganador[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatapro_ganador[".add"] = true;
$tdatapro_ganador[".afterAddAction"] = 1;
$tdatapro_ganador[".closePopupAfterAdd"] = 1;
$tdatapro_ganador[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatapro_ganador[".list"] = true;
}



$tdatapro_ganador[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatapro_ganador[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatapro_ganador[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatapro_ganador[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatapro_ganador[".printFriendly"] = true;
}



$tdatapro_ganador[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatapro_ganador[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatapro_ganador[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatapro_ganador[".isUseAjaxSuggest"] = true;



																																																																		

$tdatapro_ganador[".ajaxCodeSnippetAdded"] = false;

$tdatapro_ganador[".buttonsAdded"] = false;

$tdatapro_ganador[".addPageEvents"] = true;

// use timepicker for search panel
$tdatapro_ganador[".isUseTimeForSearch"] = false;


$tdatapro_ganador[".badgeColor"] = "e07878";


$tdatapro_ganador[".allSearchFields"] = array();
$tdatapro_ganador[".filterFields"] = array();
$tdatapro_ganador[".requiredSearchFields"] = array();

$tdatapro_ganador[".googleLikeFields"] = array();
$tdatapro_ganador[".googleLikeFields"][] = "id_ganador";
$tdatapro_ganador[".googleLikeFields"][] = "premio";
$tdatapro_ganador[".googleLikeFields"][] = "fecha";
$tdatapro_ganador[".googleLikeFields"][] = "foto";
$tdatapro_ganador[".googleLikeFields"][] = "id_promocion";
$tdatapro_ganador[".googleLikeFields"][] = "monto_acumulado";
$tdatapro_ganador[".googleLikeFields"][] = "placa_g";
$tdatapro_ganador[".googleLikeFields"][] = "tipo_vehiculo";
$tdatapro_ganador[".googleLikeFields"][] = "placa";
$tdatapro_ganador[".googleLikeFields"][] = "id";
$tdatapro_ganador[".googleLikeFields"][] = "monto_premio";
$tdatapro_ganador[".googleLikeFields"][] = "Participante";
$tdatapro_ganador[".googleLikeFields"][] = "monto_saldo";
$tdatapro_ganador[".googleLikeFields"][] = "telefono";
$tdatapro_ganador[".googleLikeFields"][] = "procedencia";
$tdatapro_ganador[".googleLikeFields"][] = "ci";
$tdatapro_ganador[".googleLikeFields"][] = "apellido_materno";
$tdatapro_ganador[".googleLikeFields"][] = "apellido_paterno";
$tdatapro_ganador[".googleLikeFields"][] = "nombres";
$tdatapro_ganador[".googleLikeFields"][] = "complemento";
$tdatapro_ganador[".googleLikeFields"][] = "id_premio";
$tdatapro_ganador[".googleLikeFields"][] = "saldo";



$tdatapro_ganador[".tableType"] = "list";

$tdatapro_ganador[".printerPageOrientation"] = 0;
$tdatapro_ganador[".nPrinterPageScale"] = 100;

$tdatapro_ganador[".nPrinterSplitRecords"] = 40;

$tdatapro_ganador[".geocodingEnabled"] = false;










$tdatapro_ganador[".pageSize"] = 30;

$tdatapro_ganador[".warnLeavingPages"] = true;



$tstrOrderBy = "";
$tdatapro_ganador[".strOrderBy"] = $tstrOrderBy;

$tdatapro_ganador[".orderindexes"] = array();


$tdatapro_ganador[".sqlHead"] = "SELECT g.id_ganador,  g.premio,  g.fecha,  g.foto,  g.id_promocion,  g.monto_acumulado,  g.placa AS placa_g,  p.tipo_vehiculo,  p.placa,  p.id,  g.monto_premio,  concat(g.ci, '-', g.apellido_paterno, ' ', g.apellido_materno, ' ', g.nombres) AS Participante,  g.monto_saldo,  g.telefono,  g.procedencia,  g.ci,  g.apellido_materno,  g.apellido_paterno,  g.nombres,  g.complemento,  g.id_premio,  g.saldo";
$tdatapro_ganador[".sqlFrom"] = "FROM pro_ganador AS g  INNER JOIN pro_participante AS p ON g.placa = p.placa  INNER JOIN promocion AS pro1 ON g.id_promocion = pro1.id_promocion  INNER JOIN promocion AS pro2 ON p.id_promocion = pro2.id_promocion";
$tdatapro_ganador[".sqlWhereExpr"] = "(pro1.estado = 1) AND (pro2.estado = 1)";
$tdatapro_ganador[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatapro_ganador[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatapro_ganador[".arrGroupsPerPage"] = $arrGPP;

$tdatapro_ganador[".highlightSearchResults"] = true;

$tableKeyspro_ganador = array();
$tableKeyspro_ganador[] = "id_ganador";
$tdatapro_ganador[".Keys"] = $tableKeyspro_ganador;


$tdatapro_ganador[".hideMobileList"] = array();




//	id_ganador
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id_ganador";
	$fdata["GoodName"] = "id_ganador";
	$fdata["ownerTable"] = "pro_ganador";
	$fdata["Label"] = GetFieldLabel("pro_ganador","id_ganador");
	$fdata["FieldType"] = 3;


		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "id_ganador";

		$fdata["sourceSingle"] = "id_ganador";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "g.id_ganador";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapro_ganador["id_ganador"] = $fdata;
		$tdatapro_ganador[".searchableFields"][] = "id_ganador";
//	premio
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "premio";
	$fdata["GoodName"] = "premio";
	$fdata["ownerTable"] = "pro_ganador";
	$fdata["Label"] = GetFieldLabel("pro_ganador","premio");
	$fdata["FieldType"] = 3;


	
	
			

		$fdata["strField"] = "premio";

		$fdata["sourceSingle"] = "premio";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "g.premio";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "premios_total";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "id_det_premio";
	$edata["LinkFieldType"] = 3;
	$edata["DisplayField"] = "Premio";

	

	
	$edata["LookupOrderBy"] = "";

	
		$edata["UseCategory"] = true;
	$edata["categoryFields"] = array();
	$edata["categoryFields"][] = array( "main" => "placa", "lookup" => "placa" );

	
	
				//dependent dropdowns @deprecated data ?
	$edata["DependentLookups"] = array();
	$edata["DependentLookups"][] = "monto_premio";
				//dependent dropdowns @deprecated data ?
	$edata["DependentLookups"] = array();
	$edata["DependentLookups"][] = "id_premio";

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapro_ganador["premio"] = $fdata;
		$tdatapro_ganador[".searchableFields"][] = "premio";
//	fecha
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "fecha";
	$fdata["GoodName"] = "fecha";
	$fdata["ownerTable"] = "pro_ganador";
	$fdata["Label"] = GetFieldLabel("pro_ganador","fecha");
	$fdata["FieldType"] = 135;


	
	
			

		$fdata["strField"] = "fecha";

		$fdata["sourceSingle"] = "fecha";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "g.fecha";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Datetime");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

		$edata["ShowTime"] = true;

		$edata["weekdayMessage"] = array("message" => "Invalid week day", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 2;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
		$edata["autoUpdatable"] = true;

//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapro_ganador["fecha"] = $fdata;
		$tdatapro_ganador[".searchableFields"][] = "fecha";
//	foto
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "foto";
	$fdata["GoodName"] = "foto";
	$fdata["ownerTable"] = "pro_ganador";
	$fdata["Label"] = GetFieldLabel("pro_ganador","foto");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "foto";

		$fdata["sourceSingle"] = "foto";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "g.foto";

	
	
		$fdata["UploadCodeExpression"] = true;

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Document Download");

	
	
	
								$vdata["ShowIcon"] = true;
				
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Document upload");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = array();
			$edata["acceptFileTypes"][] = strtoupper("jpeg");
						$edata["acceptFileTypesHtml"] = ".jpeg";
			$edata["acceptFileTypes"][] = strtoupper("jpg");
						$edata["acceptFileTypesHtml"] .= ",.jpg";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
				$edata["ResizeImage"] = true;
				$edata["NewSize"] = 600;

	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapro_ganador["foto"] = $fdata;
		$tdatapro_ganador[".searchableFields"][] = "foto";
//	id_promocion
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "id_promocion";
	$fdata["GoodName"] = "id_promocion";
	$fdata["ownerTable"] = "pro_ganador";
	$fdata["Label"] = GetFieldLabel("pro_ganador","id_promocion");
	$fdata["FieldType"] = 3;


	
	
			

		$fdata["strField"] = "id_promocion";

		$fdata["sourceSingle"] = "id_promocion";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "g.id_promocion";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "promocion";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "id_promocion";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "nombre";

				$edata["LookupWhere"] = "estado = 1";


	
	$edata["LookupOrderBy"] = "";

	
	
	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapro_ganador["id_promocion"] = $fdata;
		$tdatapro_ganador[".searchableFields"][] = "id_promocion";
//	monto_acumulado
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "monto_acumulado";
	$fdata["GoodName"] = "monto_acumulado";
	$fdata["ownerTable"] = "pro_ganador";
	$fdata["Label"] = GetFieldLabel("pro_ganador","monto_acumulado");
	$fdata["FieldType"] = 14;


	
	
			

		$fdata["strField"] = "monto_acumulado";

		$fdata["sourceSingle"] = "monto_acumulado";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "g.monto_acumulado";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "participante_total";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "VOLUMEN_TOTAL";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "VOLUMEN_TOTAL";

	

	
	$edata["LookupOrderBy"] = "";

	
		$edata["UseCategory"] = true;
	$edata["categoryFields"] = array();
	$edata["categoryFields"][] = array( "main" => "placa", "lookup" => "PLACA" );

	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapro_ganador["monto_acumulado"] = $fdata;
		$tdatapro_ganador[".searchableFields"][] = "monto_acumulado";
//	placa_g
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "placa_g";
	$fdata["GoodName"] = "placa_g";
	$fdata["ownerTable"] = "pro_ganador";
	$fdata["Label"] = GetFieldLabel("pro_ganador","placa_g");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "placa";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "g.placa";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapro_ganador["placa_g"] = $fdata;
		$tdatapro_ganador[".searchableFields"][] = "placa_g";
//	tipo_vehiculo
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "tipo_vehiculo";
	$fdata["GoodName"] = "tipo_vehiculo";
	$fdata["ownerTable"] = "pro_participante";
	$fdata["Label"] = GetFieldLabel("pro_ganador","tipo_vehiculo");
	$fdata["FieldType"] = 3;


	
	
			

		$fdata["strField"] = "tipo_vehiculo";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "p.tipo_vehiculo";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapro_ganador["tipo_vehiculo"] = $fdata;
		$tdatapro_ganador[".searchableFields"][] = "tipo_vehiculo";
//	placa
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 9;
	$fdata["strName"] = "placa";
	$fdata["GoodName"] = "placa";
	$fdata["ownerTable"] = "pro_participante";
	$fdata["Label"] = GetFieldLabel("pro_ganador","placa");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "placa";

		$fdata["sourceSingle"] = "placa";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "p.placa";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "participante_total";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 1;

	
		
	$edata["LinkField"] = "PLACA";
	$edata["LinkFieldType"] = 3;
	$edata["DisplayField"] = "PLACA";

	

	
	$edata["LookupOrderBy"] = "";

	
	
	
	
				//dependent dropdowns @deprecated data ?
	$edata["DependentLookups"] = array();
	$edata["DependentLookups"][] = "premio";
				//dependent dropdowns @deprecated data ?
	$edata["DependentLookups"] = array();
	$edata["DependentLookups"][] = "monto_acumulado";

	
	
	
// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapro_ganador["placa"] = $fdata;
		$tdatapro_ganador[".searchableFields"][] = "placa";
//	id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 10;
	$fdata["strName"] = "id";
	$fdata["GoodName"] = "id";
	$fdata["ownerTable"] = "pro_participante";
	$fdata["Label"] = GetFieldLabel("pro_ganador","id");
	$fdata["FieldType"] = 3;


		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "p.id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapro_ganador["id"] = $fdata;
		$tdatapro_ganador[".searchableFields"][] = "id";
//	monto_premio
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 11;
	$fdata["strName"] = "monto_premio";
	$fdata["GoodName"] = "monto_premio";
	$fdata["ownerTable"] = "pro_ganador";
	$fdata["Label"] = GetFieldLabel("pro_ganador","monto_premio");
	$fdata["FieldType"] = 14;


	
	
			

		$fdata["strField"] = "monto_premio";

		$fdata["sourceSingle"] = "monto_premio";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "g.monto_premio";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "pro_det_premio";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "cantidad_max";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "cantidad_max";

	

	
	$edata["LookupOrderBy"] = "";

	
		$edata["UseCategory"] = true;
	$edata["categoryFields"] = array();
	$edata["categoryFields"][] = array( "main" => "premio", "lookup" => "id_det_premio" );

	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapro_ganador["monto_premio"] = $fdata;
		$tdatapro_ganador[".searchableFields"][] = "monto_premio";
//	Participante
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 12;
	$fdata["strName"] = "Participante";
	$fdata["GoodName"] = "Participante";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("pro_ganador","Participante");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "Participante";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "concat(g.ci, '-', g.apellido_paterno, ' ', g.apellido_materno, ' ', g.nombres)";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
		$fdata["filterTotalFields"] = "id_ganador";
		$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapro_ganador["Participante"] = $fdata;
		$tdatapro_ganador[".searchableFields"][] = "Participante";
//	monto_saldo
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 13;
	$fdata["strName"] = "monto_saldo";
	$fdata["GoodName"] = "monto_saldo";
	$fdata["ownerTable"] = "pro_ganador";
	$fdata["Label"] = GetFieldLabel("pro_ganador","monto_saldo");
	$fdata["FieldType"] = 14;


	
	
			

		$fdata["strField"] = "monto_saldo";

		$fdata["sourceSingle"] = "monto_saldo";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "g.monto_saldo";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "number";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapro_ganador["monto_saldo"] = $fdata;
		$tdatapro_ganador[".searchableFields"][] = "monto_saldo";
//	telefono
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 14;
	$fdata["strName"] = "telefono";
	$fdata["GoodName"] = "telefono";
	$fdata["ownerTable"] = "pro_ganador";
	$fdata["Label"] = GetFieldLabel("pro_ganador","telefono");
	$fdata["FieldType"] = 14;


	
	
			

		$fdata["strField"] = "telefono";

		$fdata["sourceSingle"] = "telefono";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "g.telefono";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapro_ganador["telefono"] = $fdata;
		$tdatapro_ganador[".searchableFields"][] = "telefono";
//	procedencia
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 15;
	$fdata["strName"] = "procedencia";
	$fdata["GoodName"] = "procedencia";
	$fdata["ownerTable"] = "pro_ganador";
	$fdata["Label"] = GetFieldLabel("pro_ganador","procedencia");
	$fdata["FieldType"] = 3;


	
	
			

		$fdata["strField"] = "procedencia";

		$fdata["sourceSingle"] = "procedencia";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "g.procedencia";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "aux";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "id_aux";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "alias";

				$edata["LookupWhere"] = "aux =12";


	
	$edata["LookupOrderBy"] = "";

	
	
	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapro_ganador["procedencia"] = $fdata;
		$tdatapro_ganador[".searchableFields"][] = "procedencia";
//	ci
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 16;
	$fdata["strName"] = "ci";
	$fdata["GoodName"] = "ci";
	$fdata["ownerTable"] = "pro_ganador";
	$fdata["Label"] = GetFieldLabel("pro_ganador","ci");
	$fdata["FieldType"] = 14;


	
	
			

		$fdata["strField"] = "ci";

		$fdata["sourceSingle"] = "ci";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "g.ci";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "total_ganador";
			$edata["freeInput"] = true;
	$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["autoCompleteFields"][] = array('masterF'=>"telefono", 'lookupF'=>"telefono");
	$edata["autoCompleteFields"][] = array('masterF'=>"procedencia", 'lookupF'=>"procedencia");
	$edata["autoCompleteFields"][] = array('masterF'=>"apellido_materno", 'lookupF'=>"apellido_materno");
	$edata["autoCompleteFields"][] = array('masterF'=>"apellido_paterno", 'lookupF'=>"apellido_paterno");
	$edata["autoCompleteFields"][] = array('masterF'=>"nombres", 'lookupF'=>"nombres");
	$edata["autoCompleteFields"][] = array('masterF'=>"complemento", 'lookupF'=>"complemento");
	$edata["LCType"] = 1;

	
		
	$edata["LinkField"] = "ci";
	$edata["LinkFieldType"] = 14;
	$edata["DisplayField"] = "ci";

	

	
	$edata["LookupOrderBy"] = "";

	
	
	
	

	
	
	
// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapro_ganador["ci"] = $fdata;
		$tdatapro_ganador[".searchableFields"][] = "ci";
//	apellido_materno
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 17;
	$fdata["strName"] = "apellido_materno";
	$fdata["GoodName"] = "apellido_materno";
	$fdata["ownerTable"] = "pro_ganador";
	$fdata["Label"] = GetFieldLabel("pro_ganador","apellido_materno");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "apellido_materno";

		$fdata["sourceSingle"] = "apellido_materno";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "g.apellido_materno";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapro_ganador["apellido_materno"] = $fdata;
		$tdatapro_ganador[".searchableFields"][] = "apellido_materno";
//	apellido_paterno
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 18;
	$fdata["strName"] = "apellido_paterno";
	$fdata["GoodName"] = "apellido_paterno";
	$fdata["ownerTable"] = "pro_ganador";
	$fdata["Label"] = GetFieldLabel("pro_ganador","apellido_paterno");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "apellido_paterno";

		$fdata["sourceSingle"] = "apellido_paterno";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "g.apellido_paterno";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapro_ganador["apellido_paterno"] = $fdata;
		$tdatapro_ganador[".searchableFields"][] = "apellido_paterno";
//	nombres
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 19;
	$fdata["strName"] = "nombres";
	$fdata["GoodName"] = "nombres";
	$fdata["ownerTable"] = "pro_ganador";
	$fdata["Label"] = GetFieldLabel("pro_ganador","nombres");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "nombres";

		$fdata["sourceSingle"] = "nombres";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "g.nombres";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapro_ganador["nombres"] = $fdata;
		$tdatapro_ganador[".searchableFields"][] = "nombres";
//	complemento
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 20;
	$fdata["strName"] = "complemento";
	$fdata["GoodName"] = "complemento";
	$fdata["ownerTable"] = "pro_ganador";
	$fdata["Label"] = GetFieldLabel("pro_ganador","complemento");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "complemento";

		$fdata["sourceSingle"] = "complemento";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "g.complemento";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=10";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapro_ganador["complemento"] = $fdata;
		$tdatapro_ganador[".searchableFields"][] = "complemento";
//	id_premio
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 21;
	$fdata["strName"] = "id_premio";
	$fdata["GoodName"] = "id_premio";
	$fdata["ownerTable"] = "pro_ganador";
	$fdata["Label"] = GetFieldLabel("pro_ganador","id_premio");
	$fdata["FieldType"] = 3;


	
	
			

		$fdata["strField"] = "id_premio";

		$fdata["sourceSingle"] = "id_premio";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "g.id_premio";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "pro_det_premio";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "id_premio";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "id_premio";

	

	
	$edata["LookupOrderBy"] = "";

	
		$edata["UseCategory"] = true;
	$edata["categoryFields"] = array();
	$edata["categoryFields"][] = array( "main" => "premio", "lookup" => "id_det_premio" );

	
	
				//dependent dropdowns @deprecated data ?
	$edata["DependentLookups"] = array();
	$edata["DependentLookups"][] = "saldo";

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapro_ganador["id_premio"] = $fdata;
		$tdatapro_ganador[".searchableFields"][] = "id_premio";
//	saldo
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 22;
	$fdata["strName"] = "saldo";
	$fdata["GoodName"] = "saldo";
	$fdata["ownerTable"] = "pro_ganador";
	$fdata["Label"] = GetFieldLabel("pro_ganador","saldo");
	$fdata["FieldType"] = 14;


	
	
			

		$fdata["strField"] = "saldo";

		$fdata["sourceSingle"] = "saldo";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "g.saldo";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "suma";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "saldo";
	$edata["LinkFieldType"] = 14;
	$edata["DisplayField"] = "saldo";

	

	
	$edata["LookupOrderBy"] = "";

	
		$edata["UseCategory"] = true;
	$edata["categoryFields"] = array();
	$edata["categoryFields"][] = array( "main" => "id_premio", "lookup" => "id_premio" );

	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapro_ganador["saldo"] = $fdata;
		$tdatapro_ganador[".searchableFields"][] = "saldo";


$tables_data["pro_ganador"]=&$tdatapro_ganador;
$field_labels["pro_ganador"] = &$fieldLabelspro_ganador;
$fieldToolTips["pro_ganador"] = &$fieldToolTipspro_ganador;
$placeHolders["pro_ganador"] = &$placeHolderspro_ganador;
$page_titles["pro_ganador"] = &$pageTitlespro_ganador;


changeTextControlsToDate( "pro_ganador" );

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)

//if !@TABLE.bReportCrossTab

$detailsTablesData["pro_ganador"] = array();
//endif

// tables which are master tables for current table (detail)
$masterTablesData["pro_ganador"] = array();



	
	//if !@t.bReportCrossTab
			$strOriginalDetailsTable="promocion";
	$masterParams = array();
	$masterParams["mDataSourceTable"]="promocion";
	$masterParams["mOriginalTable"]= $strOriginalDetailsTable;
	$masterParams["mShortTable"]= "promocion";
	$masterParams["masterKeys"]= array();
	$masterParams["detailKeys"]= array();

	$masterParams["type"] = PAGE_LIST;
					$masterTablesData["pro_ganador"][0] = $masterParams;
				$masterTablesData["pro_ganador"][0]["masterKeys"] = array();
	$masterTablesData["pro_ganador"][0]["masterKeys"][]="id_promocion";
				$masterTablesData["pro_ganador"][0]["detailKeys"] = array();
	$masterTablesData["pro_ganador"][0]["detailKeys"][]="id_promocion";
		
	//endif
// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_pro_ganador()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "g.id_ganador,  g.premio,  g.fecha,  g.foto,  g.id_promocion,  g.monto_acumulado,  g.placa AS placa_g,  p.tipo_vehiculo,  p.placa,  p.id,  g.monto_premio,  concat(g.ci, '-', g.apellido_paterno, ' ', g.apellido_materno, ' ', g.nombres) AS Participante,  g.monto_saldo,  g.telefono,  g.procedencia,  g.ci,  g.apellido_materno,  g.apellido_paterno,  g.nombres,  g.complemento,  g.id_premio,  g.saldo";
$proto0["m_strFrom"] = "FROM pro_ganador AS g  INNER JOIN pro_participante AS p ON g.placa = p.placa  INNER JOIN promocion AS pro1 ON g.id_promocion = pro1.id_promocion  INNER JOIN promocion AS pro2 ON p.id_promocion = pro2.id_promocion";
$proto0["m_strWhere"] = "(pro1.estado = 1) AND (pro2.estado = 1)";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "(pro1.estado = 1) AND (pro2.estado = 1)";
$proto2["m_uniontype"] = "SQLL_AND";
	$obj = new SQLNonParsed(array(
	"m_sql" => "(pro1.estado = 1) AND (pro2.estado = 1)"
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
						$proto4=array();
$proto4["m_sql"] = "pro1.estado = 1";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
						$obj = new SQLField(array(
	"m_strName" => "estado",
	"m_strTable" => "pro1",
	"m_srcTableName" => "pro_ganador"
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "= 1";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = true;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

			$proto2["m_contained"][]=$obj;
						$proto6=array();
$proto6["m_sql"] = "pro2.estado = 1";
$proto6["m_uniontype"] = "SQLL_UNKNOWN";
						$obj = new SQLField(array(
	"m_strName" => "estado",
	"m_strTable" => "pro2",
	"m_srcTableName" => "pro_ganador"
));

$proto6["m_column"]=$obj;
$proto6["m_contained"] = array();
$proto6["m_strCase"] = "= 1";
$proto6["m_havingmode"] = false;
$proto6["m_inBrackets"] = true;
$proto6["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto6);

			$proto2["m_contained"][]=$obj;
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto8=array();
$proto8["m_sql"] = "";
$proto8["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto8["m_column"]=$obj;
$proto8["m_contained"] = array();
$proto8["m_strCase"] = "";
$proto8["m_havingmode"] = false;
$proto8["m_inBrackets"] = false;
$proto8["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto8);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "id_ganador",
	"m_strTable" => "g",
	"m_srcTableName" => "pro_ganador"
));

$proto10["m_sql"] = "g.id_ganador";
$proto10["m_srcTableName"] = "pro_ganador";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "premio",
	"m_strTable" => "g",
	"m_srcTableName" => "pro_ganador"
));

$proto12["m_sql"] = "g.premio";
$proto12["m_srcTableName"] = "pro_ganador";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "fecha",
	"m_strTable" => "g",
	"m_srcTableName" => "pro_ganador"
));

$proto14["m_sql"] = "g.fecha";
$proto14["m_srcTableName"] = "pro_ganador";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "foto",
	"m_strTable" => "g",
	"m_srcTableName" => "pro_ganador"
));

$proto16["m_sql"] = "g.foto";
$proto16["m_srcTableName"] = "pro_ganador";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "id_promocion",
	"m_strTable" => "g",
	"m_srcTableName" => "pro_ganador"
));

$proto18["m_sql"] = "g.id_promocion";
$proto18["m_srcTableName"] = "pro_ganador";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
						$proto20=array();
			$obj = new SQLField(array(
	"m_strName" => "monto_acumulado",
	"m_strTable" => "g",
	"m_srcTableName" => "pro_ganador"
));

$proto20["m_sql"] = "g.monto_acumulado";
$proto20["m_srcTableName"] = "pro_ganador";
$proto20["m_expr"]=$obj;
$proto20["m_alias"] = "";
$obj = new SQLFieldListItem($proto20);

$proto0["m_fieldlist"][]=$obj;
						$proto22=array();
			$obj = new SQLField(array(
	"m_strName" => "placa",
	"m_strTable" => "g",
	"m_srcTableName" => "pro_ganador"
));

$proto22["m_sql"] = "g.placa";
$proto22["m_srcTableName"] = "pro_ganador";
$proto22["m_expr"]=$obj;
$proto22["m_alias"] = "placa_g";
$obj = new SQLFieldListItem($proto22);

$proto0["m_fieldlist"][]=$obj;
						$proto24=array();
			$obj = new SQLField(array(
	"m_strName" => "tipo_vehiculo",
	"m_strTable" => "p",
	"m_srcTableName" => "pro_ganador"
));

$proto24["m_sql"] = "p.tipo_vehiculo";
$proto24["m_srcTableName"] = "pro_ganador";
$proto24["m_expr"]=$obj;
$proto24["m_alias"] = "";
$obj = new SQLFieldListItem($proto24);

$proto0["m_fieldlist"][]=$obj;
						$proto26=array();
			$obj = new SQLField(array(
	"m_strName" => "placa",
	"m_strTable" => "p",
	"m_srcTableName" => "pro_ganador"
));

$proto26["m_sql"] = "p.placa";
$proto26["m_srcTableName"] = "pro_ganador";
$proto26["m_expr"]=$obj;
$proto26["m_alias"] = "";
$obj = new SQLFieldListItem($proto26);

$proto0["m_fieldlist"][]=$obj;
						$proto28=array();
			$obj = new SQLField(array(
	"m_strName" => "id",
	"m_strTable" => "p",
	"m_srcTableName" => "pro_ganador"
));

$proto28["m_sql"] = "p.id";
$proto28["m_srcTableName"] = "pro_ganador";
$proto28["m_expr"]=$obj;
$proto28["m_alias"] = "";
$obj = new SQLFieldListItem($proto28);

$proto0["m_fieldlist"][]=$obj;
						$proto30=array();
			$obj = new SQLField(array(
	"m_strName" => "monto_premio",
	"m_strTable" => "g",
	"m_srcTableName" => "pro_ganador"
));

$proto30["m_sql"] = "g.monto_premio";
$proto30["m_srcTableName"] = "pro_ganador";
$proto30["m_expr"]=$obj;
$proto30["m_alias"] = "";
$obj = new SQLFieldListItem($proto30);

$proto0["m_fieldlist"][]=$obj;
						$proto32=array();
			$proto33=array();
$proto33["m_functiontype"] = "SQLF_CUSTOM";
$proto33["m_arguments"] = array();
						$obj = new SQLNonParsed(array(
	"m_sql" => "g.ci"
));

$proto33["m_arguments"][]=$obj;
						$obj = new SQLNonParsed(array(
	"m_sql" => "'-'"
));

$proto33["m_arguments"][]=$obj;
						$obj = new SQLNonParsed(array(
	"m_sql" => "g.apellido_paterno"
));

$proto33["m_arguments"][]=$obj;
						$obj = new SQLNonParsed(array(
	"m_sql" => "' '"
));

$proto33["m_arguments"][]=$obj;
						$obj = new SQLNonParsed(array(
	"m_sql" => "g.apellido_materno"
));

$proto33["m_arguments"][]=$obj;
						$obj = new SQLNonParsed(array(
	"m_sql" => "' '"
));

$proto33["m_arguments"][]=$obj;
						$obj = new SQLNonParsed(array(
	"m_sql" => "g.nombres"
));

$proto33["m_arguments"][]=$obj;
$proto33["m_strFunctionName"] = "concat";
$obj = new SQLFunctionCall($proto33);

$proto32["m_sql"] = "concat(g.ci, '-', g.apellido_paterno, ' ', g.apellido_materno, ' ', g.nombres)";
$proto32["m_srcTableName"] = "pro_ganador";
$proto32["m_expr"]=$obj;
$proto32["m_alias"] = "Participante";
$obj = new SQLFieldListItem($proto32);

$proto0["m_fieldlist"][]=$obj;
						$proto41=array();
			$obj = new SQLField(array(
	"m_strName" => "monto_saldo",
	"m_strTable" => "g",
	"m_srcTableName" => "pro_ganador"
));

$proto41["m_sql"] = "g.monto_saldo";
$proto41["m_srcTableName"] = "pro_ganador";
$proto41["m_expr"]=$obj;
$proto41["m_alias"] = "";
$obj = new SQLFieldListItem($proto41);

$proto0["m_fieldlist"][]=$obj;
						$proto43=array();
			$obj = new SQLField(array(
	"m_strName" => "telefono",
	"m_strTable" => "g",
	"m_srcTableName" => "pro_ganador"
));

$proto43["m_sql"] = "g.telefono";
$proto43["m_srcTableName"] = "pro_ganador";
$proto43["m_expr"]=$obj;
$proto43["m_alias"] = "";
$obj = new SQLFieldListItem($proto43);

$proto0["m_fieldlist"][]=$obj;
						$proto45=array();
			$obj = new SQLField(array(
	"m_strName" => "procedencia",
	"m_strTable" => "g",
	"m_srcTableName" => "pro_ganador"
));

$proto45["m_sql"] = "g.procedencia";
$proto45["m_srcTableName"] = "pro_ganador";
$proto45["m_expr"]=$obj;
$proto45["m_alias"] = "";
$obj = new SQLFieldListItem($proto45);

$proto0["m_fieldlist"][]=$obj;
						$proto47=array();
			$obj = new SQLField(array(
	"m_strName" => "ci",
	"m_strTable" => "g",
	"m_srcTableName" => "pro_ganador"
));

$proto47["m_sql"] = "g.ci";
$proto47["m_srcTableName"] = "pro_ganador";
$proto47["m_expr"]=$obj;
$proto47["m_alias"] = "";
$obj = new SQLFieldListItem($proto47);

$proto0["m_fieldlist"][]=$obj;
						$proto49=array();
			$obj = new SQLField(array(
	"m_strName" => "apellido_materno",
	"m_strTable" => "g",
	"m_srcTableName" => "pro_ganador"
));

$proto49["m_sql"] = "g.apellido_materno";
$proto49["m_srcTableName"] = "pro_ganador";
$proto49["m_expr"]=$obj;
$proto49["m_alias"] = "";
$obj = new SQLFieldListItem($proto49);

$proto0["m_fieldlist"][]=$obj;
						$proto51=array();
			$obj = new SQLField(array(
	"m_strName" => "apellido_paterno",
	"m_strTable" => "g",
	"m_srcTableName" => "pro_ganador"
));

$proto51["m_sql"] = "g.apellido_paterno";
$proto51["m_srcTableName"] = "pro_ganador";
$proto51["m_expr"]=$obj;
$proto51["m_alias"] = "";
$obj = new SQLFieldListItem($proto51);

$proto0["m_fieldlist"][]=$obj;
						$proto53=array();
			$obj = new SQLField(array(
	"m_strName" => "nombres",
	"m_strTable" => "g",
	"m_srcTableName" => "pro_ganador"
));

$proto53["m_sql"] = "g.nombres";
$proto53["m_srcTableName"] = "pro_ganador";
$proto53["m_expr"]=$obj;
$proto53["m_alias"] = "";
$obj = new SQLFieldListItem($proto53);

$proto0["m_fieldlist"][]=$obj;
						$proto55=array();
			$obj = new SQLField(array(
	"m_strName" => "complemento",
	"m_strTable" => "g",
	"m_srcTableName" => "pro_ganador"
));

$proto55["m_sql"] = "g.complemento";
$proto55["m_srcTableName"] = "pro_ganador";
$proto55["m_expr"]=$obj;
$proto55["m_alias"] = "";
$obj = new SQLFieldListItem($proto55);

$proto0["m_fieldlist"][]=$obj;
						$proto57=array();
			$obj = new SQLField(array(
	"m_strName" => "id_premio",
	"m_strTable" => "g",
	"m_srcTableName" => "pro_ganador"
));

$proto57["m_sql"] = "g.id_premio";
$proto57["m_srcTableName"] = "pro_ganador";
$proto57["m_expr"]=$obj;
$proto57["m_alias"] = "";
$obj = new SQLFieldListItem($proto57);

$proto0["m_fieldlist"][]=$obj;
						$proto59=array();
			$obj = new SQLField(array(
	"m_strName" => "saldo",
	"m_strTable" => "g",
	"m_srcTableName" => "pro_ganador"
));

$proto59["m_sql"] = "g.saldo";
$proto59["m_srcTableName"] = "pro_ganador";
$proto59["m_expr"]=$obj;
$proto59["m_alias"] = "";
$obj = new SQLFieldListItem($proto59);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto61=array();
$proto61["m_link"] = "SQLL_MAIN";
			$proto62=array();
$proto62["m_strName"] = "pro_ganador";
$proto62["m_srcTableName"] = "pro_ganador";
$proto62["m_columns"] = array();
$proto62["m_columns"][] = "apellido_materno";
$proto62["m_columns"][] = "apellido_paterno";
$proto62["m_columns"][] = "ci";
$proto62["m_columns"][] = "complemento";
$proto62["m_columns"][] = "fecha";
$proto62["m_columns"][] = "foto";
$proto62["m_columns"][] = "id_ganador";
$proto62["m_columns"][] = "id_premio";
$proto62["m_columns"][] = "id_promocion";
$proto62["m_columns"][] = "monto_acumulado";
$proto62["m_columns"][] = "monto_premio";
$proto62["m_columns"][] = "monto_saldo";
$proto62["m_columns"][] = "nombres";
$proto62["m_columns"][] = "placa";
$proto62["m_columns"][] = "premio";
$proto62["m_columns"][] = "procedencia";
$proto62["m_columns"][] = "saldo";
$proto62["m_columns"][] = "telefono";
$obj = new SQLTable($proto62);

$proto61["m_table"] = $obj;
$proto61["m_sql"] = "pro_ganador AS g";
$proto61["m_alias"] = "g";
$proto61["m_srcTableName"] = "pro_ganador";
$proto63=array();
$proto63["m_sql"] = "";
$proto63["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto63["m_column"]=$obj;
$proto63["m_contained"] = array();
$proto63["m_strCase"] = "";
$proto63["m_havingmode"] = false;
$proto63["m_inBrackets"] = false;
$proto63["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto63);

$proto61["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto61);

$proto0["m_fromlist"][]=$obj;
												$proto65=array();
$proto65["m_link"] = "SQLL_INNERJOIN";
			$proto66=array();
$proto66["m_strName"] = "pro_participante";
$proto66["m_srcTableName"] = "pro_ganador";
$proto66["m_columns"] = array();
$proto66["m_columns"][] = "apellido_materno";
$proto66["m_columns"][] = "apellido_paterno";
$proto66["m_columns"][] = "ci";
$proto66["m_columns"][] = "id";
$proto66["m_columns"][] = "id_promocion";
$proto66["m_columns"][] = "nombres";
$proto66["m_columns"][] = "placa";
$proto66["m_columns"][] = "procedencia";
$proto66["m_columns"][] = "telefono";
$proto66["m_columns"][] = "tipo_vehiculo";
$obj = new SQLTable($proto66);

$proto65["m_table"] = $obj;
$proto65["m_sql"] = "INNER JOIN pro_participante AS p ON g.placa = p.placa";
$proto65["m_alias"] = "p";
$proto65["m_srcTableName"] = "pro_ganador";
$proto67=array();
$proto67["m_sql"] = "p.placa = g.placa";
$proto67["m_uniontype"] = "SQLL_UNKNOWN";
						$obj = new SQLField(array(
	"m_strName" => "placa",
	"m_strTable" => "p",
	"m_srcTableName" => "pro_ganador"
));

$proto67["m_column"]=$obj;
$proto67["m_contained"] = array();
$proto67["m_strCase"] = "= g.placa";
$proto67["m_havingmode"] = false;
$proto67["m_inBrackets"] = false;
$proto67["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto67);

$proto65["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto65);

$proto0["m_fromlist"][]=$obj;
												$proto69=array();
$proto69["m_link"] = "SQLL_INNERJOIN";
			$proto70=array();
$proto70["m_strName"] = "promocion";
$proto70["m_srcTableName"] = "pro_ganador";
$proto70["m_columns"] = array();
$proto70["m_columns"][] = "codigo_aj";
$proto70["m_columns"][] = "descripcion";
$proto70["m_columns"][] = "estado";
$proto70["m_columns"][] = "fecha_fin";
$proto70["m_columns"][] = "fecha_inicial";
$proto70["m_columns"][] = "id_promocion";
$proto70["m_columns"][] = "nombre";
$obj = new SQLTable($proto70);

$proto69["m_table"] = $obj;
$proto69["m_sql"] = "INNER JOIN promocion AS pro1 ON g.id_promocion = pro1.id_promocion";
$proto69["m_alias"] = "pro1";
$proto69["m_srcTableName"] = "pro_ganador";
$proto71=array();
$proto71["m_sql"] = "pro1.id_promocion = g.id_promocion";
$proto71["m_uniontype"] = "SQLL_UNKNOWN";
						$obj = new SQLField(array(
	"m_strName" => "id_promocion",
	"m_strTable" => "pro1",
	"m_srcTableName" => "pro_ganador"
));

$proto71["m_column"]=$obj;
$proto71["m_contained"] = array();
$proto71["m_strCase"] = "= g.id_promocion";
$proto71["m_havingmode"] = false;
$proto71["m_inBrackets"] = false;
$proto71["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto71);

$proto69["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto69);

$proto0["m_fromlist"][]=$obj;
												$proto73=array();
$proto73["m_link"] = "SQLL_INNERJOIN";
			$proto74=array();
$proto74["m_strName"] = "promocion";
$proto74["m_srcTableName"] = "pro_ganador";
$proto74["m_columns"] = array();
$proto74["m_columns"][] = "codigo_aj";
$proto74["m_columns"][] = "descripcion";
$proto74["m_columns"][] = "estado";
$proto74["m_columns"][] = "fecha_fin";
$proto74["m_columns"][] = "fecha_inicial";
$proto74["m_columns"][] = "id_promocion";
$proto74["m_columns"][] = "nombre";
$obj = new SQLTable($proto74);

$proto73["m_table"] = $obj;
$proto73["m_sql"] = "INNER JOIN promocion AS pro2 ON p.id_promocion = pro2.id_promocion";
$proto73["m_alias"] = "pro2";
$proto73["m_srcTableName"] = "pro_ganador";
$proto75=array();
$proto75["m_sql"] = "pro2.id_promocion = p.id_promocion";
$proto75["m_uniontype"] = "SQLL_UNKNOWN";
						$obj = new SQLField(array(
	"m_strName" => "id_promocion",
	"m_strTable" => "pro2",
	"m_srcTableName" => "pro_ganador"
));

$proto75["m_column"]=$obj;
$proto75["m_contained"] = array();
$proto75["m_strCase"] = "= p.id_promocion";
$proto75["m_havingmode"] = false;
$proto75["m_inBrackets"] = false;
$proto75["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto75);

$proto73["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto73);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="pro_ganador";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_pro_ganador = createSqlQuery_pro_ganador();


	
		;

																						

$tdatapro_ganador[".sqlquery"] = $queryData_pro_ganador;



include_once(getabspath("include/pro_ganador_events.php"));
$tdatapro_ganador[".hasEvents"] = true;

?>